// storageworker.h
#ifndef STORAGEWORKER_H
#define STORAGEWORKER_H

#include <QObject>
#include <opencv2/opencv.hpp>
#include "globals.h"

class StorageWorker : public QObject
{
    Q_OBJECT
public:
    explicit StorageWorker(QObject *parent = nullptr);
    ~StorageWorker();

public slots:
    void process(); // 存储处理槽

private:
    QString getSaveDirectory(); // 获取保存目录的函数
};

#endif // STORAGEWORKER_H
